aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2009-10-25 04:44:21 -0400
committerMike Frysinger <vapier@gentoo.org>2009-10-25 05:23:17 -0400
commitae95bc8deb1894292a26aea88490ba00f2d68c2a (patch)
treef6c6c51f9e811c0c1aec37c30e7544f7b570e589 /tests/utimensat_static-1.sh
parentlibsandbox: handle fd's w/out files in proc fd/ (diff)
downloadsandbox-ae95bc8deb1894292a26aea88490ba00f2d68c2a.tar.gz
sandbox-ae95bc8deb1894292a26aea88490ba00f2d68c2a.tar.bz2
sandbox-ae95bc8deb1894292a26aea88490ba00f2d68c2a.zip
libsandbox: fix ptrace decode of utimensat
The ptrace code skipped one too many arguments when decoding the utimensat syscall which caused random utils to fail with garbage paths. URL: http://bugs.gentoo.org/288227 Reported-by: RB <aoz.syn@gmail.com> Signed-off-by: Mike Frysinger <vapier@gentoo.org>
Diffstat (limited to 'tests/utimensat_static-1.sh')
-rwxr-xr-xtests/utimensat_static-1.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/utimensat_static-1.sh b/tests/utimensat_static-1.sh
new file mode 100755
index 0000000..1bf468a
--- /dev/null
+++ b/tests/utimensat_static-1.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+# basic functionality check
+[ "${at_xfail}" = "yes" ] && exit 77 # see trace-0
+
+addwrite $PWD
+
+touch -r / file || exit 1
+utimensat_static-0 0 AT_FDCWD . NULL 0 || exit 1
+utimensat_static-0 0 AT_FDCWD file NULL 0 || exit 1
+[ file -nt / ]